package com.tutego.insel.exception;

public class NoExceptionBecauseOfFinallyReturn
{
  @SuppressWarnings( "finally" )
  static void buh()
  {
    try
    {
      throw new ArithmeticException( "I don't want to calculate!" );
    }
    finally
    {
      return;       // This is the interesting line
    }
  }

  public static void main( String[] args )
  {
    buh();
  }
}
